SDL_GetGamepadButton(3)

NAME
SDL_GetGamepadButton - Get the current state of a button on a gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

bool SDL_GetGamepadButton(SDL_Gamepad *gamepad, SDL_GamepadButton button);

FUNCTION PARAMETERS

gamepad
    a gamepad.

button
    a button index (one of the SDL_GamepadButton values).

RETURN VALUE
Returns true if the button is pressed, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GamepadHasButton(3), SDL_GetGamepadAxis(3)